Retrieve Inventory Item Location Logs By Code

Prev Next
Get
/ci-rest-api/rest/1/ciitemloclog

Query Standards

Finder

Following row finders are available for data filtering and optimizing request performance.

  • Select by Code

Select by Code

Recommended finder parameters. Refer to Query Parameters for example.

Parameter Description Sample
CompCode Company Code 001
ItemCode Item Code SAND
LocCode Location Code ASPHALT
ItemTypeCode Item Type Code 001
SellPriceAmt Sell Price 100
CostAmt Cost Amount 10
Security
HTTP
Type basic

Basic authentication

Query parameters
finder
string
ExampleselectByCode;SellPriceAmt=0,CompCode=001,ItemCode=SAND,LocCode=ASPHALT, ItemTypeCode=AG,CostAmt=0
limit
integer
Example500
offset
integer
Example0
totalResults
boolean
Exampletrue
orderBy
string
ExampleCitlLocCode:desc
Responses
200

OK

Headers
Content-Type
string
Exampleapplication/vnd.oracle.adf.resourcecollection+json
{
  "items": [
    {
      "CitlCompCode": "001",
      "CitlItemCode": "SAND",
      "CitlItemTypeCode": "AG",
      "CitlLocCode": "ASPHALT",
      "CitlLocName": "Asphalt Plant",
      "CitlLowLevelFlag": "Y",
      "CitlBookOnHandQty": 0,
      "CitlOnHandQty": 0,
      "CitlBookCmpQty": 0,
      "CitlCmpQty": 0,
      "CitlOnOrderQty": 0,
      "CitlWmCode": "TN",
      "CitlCostAmt": 0,
      "CitlCostMethDesc": "Standard Cost",
      "CitlSellPriceAmt": 0,
      "CitlReserveQty": 0,
      "CitlBookReserveQty": 0,
      "links": [
        {
          "rel": "self",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/ci-rest-api/rest/1/ciitemloclog/0006000000033030310000000453414E440000000241470000000741535048414C5400000001800000000180",
          "name": "ciitemloclog",
          "kind": "item"
        },
        {
          "rel": "canonical",
          "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/ci-rest-api/rest/1/ciitemloclog/0006000000033030310000000453414E440000000241470000000741535048414C5400000001800000000180",
          "name": "ciitemloclog",
          "kind": "item"
        }
      ]
    }
  ],
  "count": 1,
  "hasMore": false,
  "limit": 5,
  "offset": 0,
  "links": [
    {
      "rel": "self",
      "href": "http://mobtest.cmiccloudr12.com:80/cmictestrti/ci-rest-api/rest/1/ciitemloclog",
      "name": "ciitemloclog",
      "kind": "collection"
    }
  ]
}
object
Copyright © 2024 CMiC All Rights Reserved